summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-libs/ldb/Manifest3
-rw-r--r--sys-libs/ldb/ldb-1.4.7.ebuild105
-rw-r--r--sys-libs/ldb/ldb-1.5.5.ebuild105
-rw-r--r--sys-libs/ldb/ldb-2.0.5.ebuild105
4 files changed, 0 insertions, 318 deletions
diff --git a/sys-libs/ldb/Manifest b/sys-libs/ldb/Manifest
index 0d2f8f27f68..7f19b1f3ee0 100644
--- a/sys-libs/ldb/Manifest
+++ b/sys-libs/ldb/Manifest
@@ -3,12 +3,9 @@ DIST ldb-1.1.31.tar.gz 1337586 BLAKE2B 9454f91a621368cfc7cfdb709781653e947d63b27
DIST ldb-1.2.4.tar.gz 1346413 BLAKE2B 441cdf679ab4852e1c8d90ca8d9544d7983436c864cb3ea76b63f45177061c2763f9700b4be4be9ba53a4bcc9cec49b509dd39efb8f5f2171bc432641d1329c2 SHA512 093815cfa9e950299c4f09c58362136d72c439692f7d8670ecbf9cac49ecef6fd365f8fab5d39f41a4dd39e07f6c8d1a2616e843653d2fa0d7bdff346a118aa9
DIST ldb-1.3.6.tar.gz 1374574 BLAKE2B 654f35eb25aeb373540ead7cb10da66c92970ea6b100631cb14bacf937fec64e09b19ed3e09a976406e3f8d6347c4e17144c0a0bff8795316559be45353edbf7 SHA512 8fcd72598e948c55adaa832d6ebcbc03b979281032cb900af4304c1c68ce9cc94a1e1d4729d0c2a0b83a618cab716749d851160005a0093cf8a178e6dbea298d
DIST ldb-1.3.8.tar.gz 1375782 BLAKE2B dbca935e762af86b268308253615019b24af6727411e77947ceeadd3e0114c2ad2a14d4a4f1121bf58ccb080d44a8513d2094314b043604d885977a26e622c57 SHA512 06d1b4c2badbf0c27733a64f979c48af8b599747cef7cd7f5417cd55a76447e8f8987bd061694c5af63261fdb35433e3844122c14103d5cc8b4eaab1f4752541
-DIST ldb-1.4.7.tar.gz 1430560 BLAKE2B b6b9a12b6f17ffee8e9a47673786d1247310655ca87bb0280fb8ce04a69c52435721fe5e8ab1ce18406e28dfeef57fe30b3b3fc42a4951505f8772bf5e7553ce SHA512 e53bdd831d37b87b5adaf17f46b883f177f97541ad957d134dbfc196bc37749074df7c8cafb8e2993c6aae9bc150ae8d88daad56c26de9f62c5259c479da7016
DIST ldb-1.4.8.tar.gz 1433045 BLAKE2B bd2441d97216976a149d43ab037c64053adae0e1ac931ceb6313491eea09813324dd97ab754d09fdc2789327932ee8a8268d94457dd48f557a125890a6c4e721 SHA512 cfb10c9ca45aed6d181020fc7b55a5fb5915d288035ef7245ccc63ac040aa64fb7591629c34db5ff49f15c4eb4e2037954beeadd1f5a695eb19e3807cad864e7
DIST ldb-1.5.4.tar.gz 1629123 BLAKE2B 3c71af079f2e5cb81e493d16d453c53bd0ee4c63720b0261ea6116244b2652ca581499c0b8c64949dccc95460aba7b4ef3afe7850563a830f3fb4b8753bdea2f SHA512 fc323e4283671c14d6dd4feb7e9ca943a63a166688077dbf3591f9d957cf821f9e739869842e15ca1ec4fd3764123d5afc6f4954b1af437bd1ec54df58366a22
-DIST ldb-1.5.5.tar.gz 1629070 BLAKE2B 374042c77c9ec7bd88ad1d97757f171ae831a630751fc06bf22190355c1448fa8c2327d308cdbe5b46ca21236738548d2c1041c3dfb428e1dfee8053edf90050 SHA512 562e08b3d6564d08fed80dc43ca299c38fbd958dbe27ed1400e5eb5c3df0f4c7b7eaf502b13eec5544b168f26c5e6537615f65e28dcaeb6473d2ff3c3c7a4e4b
DIST ldb-1.5.6.tar.gz 1637795 BLAKE2B ac70f6dcaa1cd34bfdae8bf7844f1084282ea947a3c85b3a6c504a5fd3028eca2e4c26a7ffd2d36b3fadd50affded8bcf90546c56d138b30091cdaae86a9f730 SHA512 038b85caff82a2566197bc6bae9fdef91675e42f0a3b269d9d5608363777a12b4ae3faa81854b9b33b9ee374fa5ba92686e945d60f6ad1f53a453fead59f6712
DIST ldb-1.6.3.tar.gz 1628668 BLAKE2B e9b6535eddf49496151e544f6879641c58a614f6de95463f7d0bf1953744953a5d55dde935d39b690d4c87e66914d8de0f0f5d4816a61fdecc81f8797584013e SHA512 a41b1fd2afa9a02dec37519f28e0e720b649c2a0aa6caebeb6697dbefdc6a055ef26500c5ccb0439b495d8c03218920b389fb9601d1cf5ca4d5046f192a5fefd
-DIST ldb-2.0.5.tar.gz 1669846 BLAKE2B d68046b385955c376118cb60e16939115332d88e8e67d157029397915c3e8f3d754abc9d93c64250ce990f7b82fb3947bdf5fba0f6f8bc457bc6dfd08e8bc534 SHA512 de9325f8bdd9ac782b3f8633444780f4aaa030e2c74c643220e845d9a779f8c8e174f0b9d9d8668de028cb832eb9d81965cb8e4471d90f9344dc48877a3abbe8
DIST ldb-2.0.7.tar.gz 1674063 BLAKE2B e61f7bf4cfefcb5c1bf735c19a00027ce20ef393b613117e5637f7680ba7fcab1798744505b0db88e8bbdab41e0264e0fd1e643110ec47864de02ef315bd0dfd SHA512 0b1bd5970421c32bee1209179eac60682d7304aca597bca11dd477903f59b53a2fbc7d9e1717809e9a8e550564a9ca9139dd1127b9f4cefcc2437d7c8050985a
DIST ldb-2.0.8.tar.gz 1676902 BLAKE2B b86b24a597bd81ae11382311f3b60aeb8aca78ddbe63413b9a8cdbbfa4f52b05a0d2e325d483e260b15aa396c2ad9f2828ac4b6214af86d891281d05b24125b5 SHA512 23a44968c9b4b57deb3f7b7b2466f140b4d8534a07a5e866545dd108c3d305ee4b0ea9bceec3177fcd09a4efcb4876a8283ca58b5c496fcf323b810666e1e79a
diff --git a/sys-libs/ldb/ldb-1.4.7.ebuild b/sys-libs/ldb/ldb-1.4.7.ebuild
deleted file mode 100644
index e58458823b0..00000000000
--- a/sys-libs/ldb/ldb-1.4.7.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="doc +ldap +lmdb python"
-
-RDEPEND="
- !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.14[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.16[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.37[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.4.0-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.5.5.ebuild b/sys-libs/ldb/ldb-1.5.5.ebuild
deleted file mode 100644
index 98ffabd8dd9..00000000000
--- a/sys-libs/ldb/ldb-1.5.5.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{5,6,7} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="doc +ldap +lmdb python"
-
-RDEPEND="
- !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.16[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.18[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.39[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-2.0.5.ebuild b/sys-libs/ldb/ldb-2.0.5.ebuild
deleted file mode 100644
index ffaef6ea6ed..00000000000
--- a/sys-libs/ldb/ldb-2.0.5.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{5,6,7} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="doc +ldap +lmdb python"
-
-RDEPEND="
- !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.2.0[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.4.1[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.10.0[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}